<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_678ed86" . "8ef6e353" . "82774deb" . "bcc39414" . "c" => base64_decode("Y29tbW9uLmhlYWRlci5" . "wZW9wbGU="), "_8ff442d955c119a" . "5192572ab3171181" . "8" => base64_decode("YXBwX3Blb3B" . "sZQ=="), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_24e0e36600d6af774" . "06a44bb618a6253" => base64_decode("dX" . "Nl" . "cg" . "=="));
use Claromentis\People\PeopleApplication as PeoplePeopleApplication;
use Claromentis\Search\ItemType;






class PeopleApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_24e0e36600d6af77406a44bb6" . "18a6253"] => function () {
            return new ItemType\User();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_678ed868ef6e3538" . "2774debbcc39414c"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8ff442d955c119a5192572ab31711" . "818"];
    }
    public function GetIcon() : string
    {
        return PeoplePeopleApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_24e0e36600d6af77406a44b" . "b618a6253"]];
    }
}